#!/usr/local/bin/pgoblin -f
  Copyright (C)2020 @BABOLO http://www.babolo.ru/
--PKG = mini-cipa
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

  $Id: push.pgoblin.m4,v 1.4 2022/02/28 03:57:50 cuhegh Exp $

#connect 0001
CIPA_DBMS
GETARG(, 1, 1)
#cat     N
/dev/null
#cat     E
/dev/stderr
#job     00001
local -zz 5
#echo    Q
##Q copy E
#style   00Q00Q
Q
#perform 0001
CREATE TEMP TABLE x
     ( list int NOT NULL
     , mess int NOT NULL
     )
;
#select  2001
SELECT (SELECT a FROM a WHERE i = 0)
     , (SELECT a FROM a WHERE i = 1)
;
#select  1001
SELECT 'pgsql dbname='
    || COALESCE(NULLIF('PROTOVER', ''), 'minicipa')
    || ' requirepeer=postgres application_name=minicipa'
;
#connect 0102
#close   101
#select  1022
SELECT '/usr/local/bin/cipa'
     , mnam
     , 'push'
     , padr
     , $2::int
 FROM cipapadr JOIN public.cipamode USING(mode)
 WHERE list = $1::int
;
#exec    E1N01
#wait    00001
